## org.apache.poi.openxml4j.exceptions
Class OpenXML4JRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidOperationException

    public class OpenXML4JRuntimeException

extends java.lang.RuntimeException

Global exception throws when a critical error occurs (this exception is set as Runtime in order not to force the user to manage the exception in a try/catch).

Version:
  1.0
Author:
  Julien Chable
See Also:
  Serialized Form

Constructor Summary
`OpenXML4JRuntimeException(java.lang.String msg)`
`OpenXML4JRuntimeException(java.lang.String msg, java.lang.Throwable reason)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenXML4JRuntimeException

    public OpenXML4JRuntimeException(java.lang.String msg)

### OpenXML4JRuntimeException

    public OpenXML4JRuntimeException(java.lang.String msg,
                                     java.lang.Throwable reason)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.